- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
gexception.h File Reference
`#include "gdef.h"`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | G::Exception
| A general-purpose exception class derived from std::exception and containing a std::string. More...

## Namespaces
| G
| Low-level classes.

## Macros
#define | G_EXCEPTION_CLASS(class_name, description) class class_name : public G::Exception { public: class_name() : G::Exception(description) {} explicit class_name(const char *more) : G::Exception(description,more) {} explicit class_name(const std::string &more) : G::Exception(description,more) {} class_name(const std::string &more1,const std::string &more2) : G::Exception(description,more1,more2) {} }
#define | G_EXCEPTION(class_name, description) G_EXCEPTION_CLASS( class_name , description )
| define as a function rather than a type if optimising for size More...

## Macro Definition Documentation

#define G_EXCEPTION | ( |  | class_name,
|  |  | description
| ) |  | G_EXCEPTION_CLASS( class_name , description )

define as a function rather than a type if optimising for size

Definition at line 93 of file gexception.h.

#define G_EXCEPTION_CLASS | ( |  | class_name,
|  |  | description
| ) |  | class class_name : public G::Exception { public: class_name() : G::Exception(description) {} explicit class_name(const char *more) : G::Exception(description,more) {} explicit class_name(const std::string &more) : G::Exception(description,more) {} class_name(const std::string &more1,const std::string &more2) : G::Exception(description,more1,more2) {} }

Definition at line 87 of file gexception.h.